<?php 

# заголовок
define('TITLE', 'Бонус');

# определение данных
$params = PARAMS; $select = false; // получение параметров
$refresh = $FUNC->random(8, true); // случайное число
$color = array(); $count = array(); // по умолчанию

####################

# получение подарка
if (isset($params['param']) && USER['bonus'] < time() && isset($params['token']) &&
$params['token'] == TOKEN) { $enter = $params['param']; $select = true; // параметры по умолчанию

# обработка текущего выбора
if ($enter == 'one' || $enter == 'two' || $enter == 'three') {

# определение цвета, выбор подарка
$color['one'] = ($enter == 'one') ? ' color ' : false; // первый
$color['two'] = ($enter == 'two') ? ' color ' : false; // второй
$color['three'] = ($enter == 'three') ? ' color ' : false; // третий

# количество выигранного
$count['one'] = $GAME->random(100, 300); // первый
$count['two'] = $GAME->random(100, 300); // второй
$count['three'] = $GAME->random(100, 300); // третий

# обновление в базе данных, баланс и время
db_update($DB, 'users', array('bonus' => time() + 86400, 'money' => $count[$enter].';+'), array('id' => USER['id'])); } }

####################

# определение данных 
$stop = (USER['bonus'] > time()) ? true : false; // получение бонуса
$notice = $USER->when(USER['bonus'] - time(), true, true); // время

?>